ColInfo (jTDS API)
Keywords: net.sourceforge.jtds.jdbc.ColInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class ColInfo

    java.lang.Object
      net.sourceforge.jtds.jdbc.ColInfo

public class ColInfo
extends java.lang.Object

This class is a descriptor for result set columns.

Implementation note:

Getter/setter methods have not been provided to avoid clutter as this class is used in many places in the driver. As the class is package private this seems reasonable.

Version:
  $Id: ColInfo.java,v 1.4 2004/11/24 06:42:01 alin_sinpalean Exp $
Author:
  Mike Hutchinson

Field Summary
`(package private) int` | `bufferSize` Column buffer (max) size
`(package private) java.lang.String` | `catalog` Database owning this column
`(package private) CharsetInfo` | `charsetInfo` Character set descriptor (if different from default)
`(package private) byte[]` | `collation` MS SQL2000 collation
`(package private) int` | `displaySize` Column display size
`(package private) boolean` | `isCaseSensitive` Column name is case sensitive
`(package private) boolean` | `isHidden` Column should be hidden
`(package private) boolean` | `isIdentity` Column is an indentity column
`(package private) boolean` | `isKey` Column may be used as a key
`(package private) boolean` | `isWriteable` Column may be updated
`(package private) int` | `jdbcType` JDBC type constant from java.sql.Types
`(package private) java.lang.String` | `name` Column label / name
`(package private) int` | `nullable` Column data type supports SQL NULL
`(package private) int` | `precision` Column decimal precision
`(package private) java.lang.String` | `realName` Column actual table name
`(package private) int` | `scale` Column decimal scale
`(package private) java.lang.String` | `schema` User owning this column
`(package private) java.lang.String` | `sqlType` The SQL type name for this column.
`(package private) java.lang.String` | `tableName` Table name owning this column
`(package private) int` | `tdsType` Internal TDS data type
`(package private) int` | `userType` Database ID for UDT

Constructor Summary
`ColInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tdsType

    int tdsType

  Internal TDS data type

### jdbcType

    int jdbcType

  JDBC type constant from java.sql.Types

### realName

    java.lang.String realName

  Column actual table name

### name

    java.lang.String name

  Column label / name

### tableName

    java.lang.String tableName

  Table name owning this column

### catalog

    java.lang.String catalog

  Database owning this column

### schema

    java.lang.String schema

  User owning this column

### nullable

    int nullable

  Column data type supports SQL NULL

### isCaseSensitive

    boolean isCaseSensitive

  Column name is case sensitive

### isWriteable

    boolean isWriteable

  Column may be updated

### isIdentity

    boolean isIdentity

  Column is an indentity column

### isKey

    boolean isKey

  Column may be used as a key

### isHidden

    boolean isHidden

  Column should be hidden

### userType

    int userType

  Database ID for UDT

### collation

    byte[] collation

  MS SQL2000 collation

### charsetInfo

    CharsetInfo charsetInfo

  Character set descriptor (if different from default)

### displaySize

    int displaySize

  Column display size

### bufferSize

    int bufferSize

  Column buffer (max) size

### precision

    int precision

  Column decimal precision

### scale

    int scale

  Column decimal scale

### sqlType

    java.lang.String sqlType

  The SQL type name for this column.

Constructor Detail

### ColInfo

    public ColInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009